Aggiunta automatica firma tramite SMTP Postfix

Aggiungere per tutti i client mail di una rete la firma automatica (Es. informativa privacy) diventa piuttosto lavorioso e noioso. A questo problema ci viene incontro Altermime che integrato con postfix ci permette di raggiungere il nostro scopo. Ecco alcune indicazioni su come procedere :


[ad#ads]
1. Installing alterMIME

# wget http://www.pldaniels.com/altermime/altermime-0.2.2.tar.gz
# tar -xzvf altermime-0.2.2.tar.gz
# cd altermime-0.2.2
# make

# cp altermime /usr/bin/
# chown root.root /usr/bin/altermime
# chmod 755 /usr/bin/altermime

2. Aggiunta utente con privilegi “user” per Altermime

# useradd -r -c “Postfix Filters” -d /var/spool/filter filter
# mkdir /var/spool/filter
# chown filter.filter /var/spool/filter
# chmod 750 /var/spool/filter
 

3. Creare lo script per attivare alterMIME

#!/bin/sh
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
# Exit codes from
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
# Clean up when done or when aborting.
trap “rm -f in.$$” 0 1 2 3 15
# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
/bin/cat > in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
/usr/local/bin/altermime –input=in.$$ –verbose –force-for-bad-html –log-syslog –disclaimer=/etc/postfix/sign.text –disclaimer-html=/etc/postfix/sign.text –xheader=”X-Copyrighted-Material: Please visit http://www.miosito.it” || { echo Message content rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL “[email protected]” < in.$$
exit $?
 

4. Creare il Disclaimer Files

# joe /etc/postfix/sign.text
All’interno ci aggiungiamo ad esempio la informativa sulla privacy.

5. ora configuriamo postfix nel seguente modo:

#joe /etc/postfix/master.cf
Subito dopo la prima riga “smtp inet….” aggiungiamo il dfilt come indicato di seguito:

dfilt unix – n n – – pipe                                                                                                            flags=Rq user=filter argv=/etc/postfix/disclaimer -f ${sender} ${recipient}

6. Restart Postfix

# postfix reload





0